Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2149966 - ClangFormat undefined symbol: _ZTIN5clang18DiagnosticConsumerE
Summary: ClangFormat undefined symbol: _ZTIN5clang18DiagnosticConsumerE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt-creator
Version: 37
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-12-01 13:25 UTC by Doncho Gunchev
Modified: 2022-12-14 02:00 UTC (History)
6 users (show)

Fixed In Version: qt-creator-8.0.1-7.fc37
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-12-14 02:00:20 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Doncho Gunchev 2022-12-01 13:25:08 UTC
Description of problem:
I get the following error after enabling the ClangFormat plugin:

/usr/lib64/qtcreator/plugins/libClangFormat.so: Cannot load library /usr/lib64/qtcreator/plugins/libClangFormat.so: (/usr/lib64/qtcreator/plugins/libClangFormat.so: undefined symbol: _ZTIN5clang18DiagnosticConsumerE)

Version-Release number of selected component (if applicable):
qt-creator-8.0.1-5.fc37.x86_64

How reproducible:
Should be always, I just installed it.

Steps to Reproduce:
1. Install qt-creator-8.0.1-5.fc37.x86_64
2. Configure it to load the extra plugin ClangFormat
3. Restart and watch the error on startup.

Comment 1 Fedora Update System 2022-12-05 16:40:00 UTC
FEDORA-2022-d9104f31c2 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d9104f31c2

Comment 2 Fedora Update System 2022-12-06 01:32:27 UTC
FEDORA-2022-d9104f31c2 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-d9104f31c2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d9104f31c2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-12-11 02:37:15 UTC
FEDORA-2022-a61fda3173 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a61fda3173`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a61fda3173

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Doncho Gunchev 2022-12-12 22:31:06 UTC
Works, thank you.

Comment 5 Fedora Update System 2022-12-14 02:00:20 UTC
FEDORA-2022-a61fda3173 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.